Subject: bug#56030: The guix pull profile is too big

From: zimoun <[email-masked]>
Date: Tue, 30 Aug 2022 12:04:18 +0200

Hi,

On Sun, 26 Jun 2022 at 23:20, Ludovic Courtès <[email-masked]> wrote:

>> There are two libffi, gzip, zlib, libgc, bash-minimal, xz, pkg-config and libunistring.

> It’s worth keeping in mind that thanks to deduplication, this costs much
> less than it seems in terms of disk space, but it does cost in terms of
> bandwidth usage.

As shown in [1], note that deduplication is defeated by packages with
multi-outputs impacted by grafted ones.  For example, if one dependency
of bash-minimal is grafted, then two store items of bash-minimal (with
the same content) could live in the store and thus the reduction cost of
disk space is mitigated.

1: <https://yhetil.org/guix/[email-masked]>

Cheers,
simon